import { _decorator, Node } from 'cc';
import { ResKeeper } from '../../../framework/res/ResKeeper';
const { ccclass, property } = _decorator;

@ccclass('MailItem')
export class MailItem extends ResKeeper {
    private data = null;
	protected onLoad() {

	}
	init(data) {
		this.data = data;
	}
	protected onDestroy() {
		super.onDestroy();
	}

	onClose() {

	}

	//UI事件处理
	private onTouchButton(event: Event) {
		let target: any = event.target;
		if (target.name == 'join') {
		
		}
	}
}


